#!/bin/bash

##################################
# prepare for game
##################################

# stop Kodi
if [ `pidof kodi.bin` ]; then
	/usr/bin/killall -STOP kodi.bin
fi

# define what antimicro profile to use
profile=/home/odroid/joyconf.xml
antimicro --tray --profile $profile &
 
##################################
# enter starting commands here
##################################

cd ~/ROMS/EasyRPG/
export RPG2K_RTP_PATH=~/ROMS/EasyRPG/RTP2000
export RPG2K3_RTP_PATH=~/ROMS/EasyRPG/RTP2003
export RPG_RTP_PATH=~/ROMS/EasyRPG/RTP

EasyRPG_Player

##################################
# cleanup and go back to Kodi
##################################

# stop antimicro 
/usr/bin/killall antimicro

# reactivate Kodi
if [ `pidof kodi.bin` ]; then
	/usr/bin/killall -CONT kodi.bin
fi
