#!/bin/bash
# currently supported by OGST and Skyscraper
platforms="3do amiga amstradcpc atari800 atari2600 atari5200 atari7800 atarijaguar atarilynx atarist c64 coleco dreamcast fba fds gameandwatch gamegear gb gba gbc gc genesis mame-libretro mastersystem msx n64 nds neogeo nes ngp ngpc pcfx pcengine ports psp psx saturn scummvm sega32x segacd sg-1000 snes vectrex videopac virtualboy wii wonderswan wonderswancolor zx81 zxspectrum"
for platform in $platforms
do
	if [ $platform == "amiga" ]; then
		# Amiga 500
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGA/ -s thegamesdb -e "Commodore Amiga" -o "/home/odroid/.attract/scraper/Commodore Amiga"
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGA/ -s openretro -e "Commodore Amiga" -o "/home/odroid/.attract/scraper/Commodore Amiga"
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGA/ -s screenscraper -e "Commodore Amiga" -o "/home/odroid/.attract/scraper/Commodore Amiga"
		# write results
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGA/ -e "Commodore Amiga" -o "/home/odroid/.attract/scraper/Commodore Amiga"
		# Amiga 1200
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGA1200/ -s thegamesdb -e "Commodore Amiga 1200" -o "/home/odroid/.attract/scraper/Commodore Amiga 1200"
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGA1200/ -s openretro -e "Commodore Amiga 1200" -o "/home/odroid/.attract/scraper/Commodore Amiga 1200"
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGA1200/ -s screenscraper -e "Commodore Amiga 1200" -o "/home/odroid/.attract/scraper/Commodore Amiga 1200"
		# write results
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGA1200/ -e "Commodore Amiga 1200" -o "/home/odroid/.attract/scraper/Commodore Amiga 1200"
		# Amiga CD32
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGACD32/ -s thegamesdb -e "Commodore Amiga CD32" -o "/home/odroid/.attract/scraper/Commodore Amiga CD32"
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGACD32/ -s openretro -e "Commodore Amiga CD32" -o "/home/odroid/.attract/scraper/Commodore Amiga CD32"
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGACD32/ -s screenscraper -e "Commodore Amiga CD32" -o "/home/odroid/.attract/scraper/Commodore Amiga CD32"
		# write results
		Skyscraper -p amiga -i /home/odroid/ROMS/AMIGACD32/ -e "Commodore Amiga CD32" -o "/home/odroid/.attract/scraper/Commodore Amiga CD32"
	elif [ $platform == "fba" ]; then
		Skyscraper -p $platform -s thegamesdb
		Skyscraper -p $platform -s screenscraper
		Skyscraper -p $platform -s arcadedb
		Skyscraper -p $platform
		attract -s "Final Burn Alpha"
	elif [ $platform == "mame-libretro" ]; then
		Skyscraper -p $platform -s thegamesdb
		Skyscraper -p $platform -s screenscraper
		Skyscraper -p $platform -s arcadedb
		Skyscraper -p $platform
		attract -s "Mame (libretro)"
	elif [ $platform == "msx" ]; then
		# MSX 1
		Skyscraper -p msx -i /home/odroid/ROMS/MSX/ -s thegamesdb -e "Microsoft MSX" -o "/home/odroid/.attract/scraper/Microsoft MSX"
		Skyscraper -p msx -i /home/odroid/ROMS/MSX/ -s screenscraper -e "Microsoft MSX" -o "/home/odroid/.attract/scraper/Microsoft MSX"
		Skyscraper -p msx -i /home/odroid/ROMS/MSX/ -e "Microsoft MSX" -o "/home/odroid/.attract/scraper/Microsoft MSX"
		# MSX 2
		Skyscraper -p msx -i /home/odroid/ROMS/MSX/ -s thegamesdb -e "Microsoft MSX2" -o "/home/odroid/.attract/scraper/Microsoft MSX2"
		Skyscraper -p msx -i /home/odroid/ROMS/MSX/ -s screenscraper -e "Microsoft MSX2" -o "/home/odroid/.attract/scraper/Microsoft MSX2"
		Skyscraper -p msx -i /home/odroid/ROMS/MSX/ -e "Microsoft MSX2" -o "/home/odroid/.attract/scraper/Microsoft MSX2"
	elif [ $platform == "neogeo" ]; then
		Skyscraper -p $platform -s thegamesdb
		Skyscraper -p $platform -s screenscraper
		Skyscraper -p $platform -s arcadedb
		Skyscraper -p $platform
		attract -s "SNK Neo Geo AES"
	elif [ $platform == "pcengine" ]; then
		# HuCards
		Skyscraper -p pcengine -i /home/odroid/ROMS/PCE/ -s thegamesdb -e "NEC Turbografx-16" -o "/home/odroid/.attract/scraper/NEC Turbografx-16"
		Skyscraper -p pcengine -i /home/odroid/ROMS/PCE/ -s screenscraper -e "NEC Turbografx-16" -o "/home/odroid/.attract/scraper/NEC Turbografx-16"
		Skyscraper -p pcengine -i /home/odroid/ROMS/PCE/ -e "NEC Turbografx-16" -o "/home/odroid/.attract/scraper/NEC Turbografx-16"
		# CDs
		Skyscraper -p pcengine -i /home/odroid/ROMS/PCE-CD/ -s thegamesdb -e "NEC Turbografx-CD" -o "/home/odroid/.attract/scraper/NEC Turbografx-CD"
		Skyscraper -p pcengine -i /home/odroid/ROMS/PCE-CD/ -s screenscraper -e "NEC Turbografx-CD" -o "/home/odroid/.attract/scraper/NEC Turbografx-CD"
		Skyscraper -p pcengine -i /home/odroid/ROMS/PCE-CD/ -e "NEC Turbografx-CD" -o "/home/odroid/.attract/scraper/NEC Turbografx-CD"
		# SuperGrafx
		Skyscraper -p pcengine -i /home/odroid/ROMS/SuperGrafx/ -s thegamesdb -e "NEC SuperGrafx" -o "/home/odroid/.attract/scraper/NEC SuperGrafx"
		Skyscraper -p pcengine -i /home/odroid/ROMS/SuperGrafx/ -s screenscraper -e "NEC SuperGrafx" -o "/home/odroid/.attract/scraper/NEC SuperGrafx"
		Skyscraper -p pcengine -i /home/odroid/ROMS/SuperGrafx/ -e "NEC SuperGrafx" -o "/home/odroid/.attract/scraper/NEC SuperGrafx"
	elif [ $platform == "zxspectrum" ]; then
		Skyscraper -p $platform -s thegamesdb
		Skyscraper -p $platform -s worldofspectrum
		Skyscraper -p $platform -s screenscraper
		Skyscraper -p $platform
	else
		Skyscraper -p $platform -s thegamesdb
		Skyscraper -p $platform -s screenscraper
		Skyscraper -p $platform
	fi
done
